<?php
/**
 * @package Hamilton Quotes
 * @version 1
 */
/*
Plugin Name: Hamilton Quotes
Plugin URI: http://lemonadecode.com/plugins-and-themes!
Description: This plug-in shows some of the famous Hamilton quotes on your dashboard. Works the same as Hello Dolly
Author: Lemonadecode
Version: 1
Author URI: http://lemonadecode.com/
*/

function Hamilton_Quotes_get_lyric() {
	/** These are famous Hamilton Quotes */
	$lyrics = "I know my sister like I know my own mind, you will never find anyone as trusting or as kind
        Raise a glass to freedom
        Dying is easy, young man. Living is harder
        History is entirely created by the person who tells the story
        Legacy. What is a Legacy? It's planting seeds in a garden you never get to see
        And there’s a million things I haven’t done
        If you stand for nothing, Burr, what’ll you fall for?
        I am not throwing away my shot
        Look into your eyes, and the sky’s the limit I’m helpless!
        We’ll give the world to you and you’ll blow us all away
        History has its eyes on you
        Work!
        I’m a diamond in the rough, a shiny piece of coal
        Tryin’ to reach my goal, my power of speech: unimpeachable
        But just you wait, just you wait";

	// Here we split it into lines.
	$lyrics = explode( "\n", $lyrics );

	// And then randomly choose a line.
	return wptexturize( $lyrics[ mt_rand( 0, count( $lyrics ) - 1 ) ] );
}

// This just echoes the chosen line, we'll position it later.
function Hamilton_Quotes() {
	$chosen = Hamilton_Quotes_get_lyric();
	$lang   = '';
	if ( 'en_' !== substr( get_user_locale(), 0, 3 ) ) {
		$lang = ' lang="en"';
	}

	printf(
		'<p id="Hamilton_Quotes"><span class="screen-reader-text">%s </span><span dir="ltr"%s>%s</span></p>',
		__( 'Quote from Dear Theodosia song, by Jerry Herman:', 'Dear Theodosia' ),
		$lang,
		$chosen
	);
}

// Now we set that function up to execute when the admin_notices action is called.
add_action( 'admin_notices', 'Hamilton_Quotes' );

// We need some CSS to position the paragraph.
function Hamilton_Quotes_css() {
	echo "
	<style type='text/css'>
	#Hamilton_Quotes {
		float: right;
		padding: 5px 10px;
		margin: 0;
		font-size: 12px;
		line-height: 1.6666;
	}
	.rtl #Hamilton_Quotes {
		float: left;
	}
	.block-editor-page #Hamilton_Quotes {
		display: none;
	}
	@media screen and (max-width: 782px) {
		#Hamilton_Quotes,
		.rtl #Hamilton_Quotes {
			float: none;
			padding-left: 0;
			padding-right: 0;
		}
	}
	</style>
	";
}

add_action( 'admin_head', 'Hamilton_Quotes_css' );
